Update campaign
curl --request PUT \
--url https://{domain}/api/v2/network/campaigns/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Updated Campaign",
"commission_plan_id": 2,
"traffic_source_id": 1,
"landing_page_id": 1,
"creative_id": null,
"status": "active"
}
'import requests
url = "https://{domain}/api/v2/network/campaigns/{id}"
payload = {
"name": "Updated Campaign",
"commission_plan_id": 2,
"traffic_source_id": 1,
"landing_page_id": 1,
"creative_id": None,
"status": "active"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated Campaign',
commission_plan_id: 2,
traffic_source_id: 1,
landing_page_id: 1,
creative_id: null,
status: 'active'
})
};
fetch('https://{domain}/api/v2/network/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Campaign updated",
"success": true,
"info": {
"campaign": {
"id": 123,
"hash": "<string>",
"name": "<string>",
"created": 123,
"date_added": 123,
"date_updated": 123,
"countries": [
{
"id": 123,
"title": "<string>",
"code": "<string>"
}
],
"offer": {
"id": 123,
"title": "<string>"
},
"affiliate": {
"id": 123,
"title": "<string>"
},
"advertiser": {
"id": 123,
"title": "<string>"
},
"commission_plan": {
"id": 123,
"title": "<string>"
},
"traffic_source": {
"id": 123,
"title": "<string>"
},
"traffic_approach": {
"id": 123,
"title": "<string>"
},
"landing_page": {
"id": 123,
"title": "<string>",
"offer_id": 123
},
"creative": {
"id": 123,
"title": "<string>"
}
}
}
}{
"message": "<string>",
"success": false,
"info": {
"errors": {}
}
}Campaigns
Update campaign
Updates mutable fields of the specified campaign. offer_id, affiliate_id, and hash are immutable and silently ignored if sent.
PUT
/
api
/
v2
/
network
/
campaigns
/
{id}
Update campaign
Authorizations
ApiKeyHeaderAuthApiKeyAuth
Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.
Path Parameters
Campaign ID.
Body
application/json
Campaign name. Maximum 100 characters.
Active commission plan ID assigned to the offer.
Traffic source ID.
Traffic approach ID.
Active landing page ID belonging to the offer.
Creative ID belonging to the offer, or null to remove.
Campaign status.
Available options:
active, paused GeoNames country IDs. Pass an empty array to remove all country restrictions.
Was this page helpful?
⌘I